FileControllerGetRecycleBinFolder Method |
GET /File/RecycleBin/
Gets the recycle bin folder.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("RecycleBin")]
public IActionResult GetRecycleBinFolder(
Guid? sessionId = null,
Guid? accountId = null
)<HttpGetAttribute>
<ActionNameAttribute("RecycleBin")>
Public Function GetRecycleBinFolder (
Optional sessionId As Guid? = Nothing,
Optional accountId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"RecycleBin")]
IActionResult^ GetRecycleBinFolder(
Nullable<Guid> sessionId = nullptr,
Nullable<Guid> accountId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("RecycleBin")>]
member GetRecycleBinFolder :
?sessionId : Nullable<Guid> *
?accountId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
let _accountId = defaultArg accountId null
*)
-> IActionResult
Parameters
- sessionId (Optional)
- Type: SystemNullableGuid
Current session ID. - accountId (Optional)
- Type: SystemNullableGuid
The optional account ID to get the recycle bin folder for a specific account.
Return Value
Type:
IActionResult
An
FileData object, or a status code indicating a problem.
See Also